%define	name	shapelib
%define	version	1.2.10
%define	rel	1
%define	release %mkrel %{rel}

%define	major	1
%define	libname	%mklibname %{name} %{major}

Summary:	API in "C" for Shapefile handling
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		shapelib-1.2.10-gcc4-fix.patch.bz2
Patch1:		shapelib-1.2.10-mdkconf.patch.bz2
License:	LGPL MIT
Group:		Sciences/Geosciences
Url:		http://shapelib.maptools.org/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	proj >= 4.4.1

%description
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).

%package -n	%{libname}
Summary:	API in "C" for Shapefile handling
Group:		System/Libraries

%description -n	%{libname}
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).


%package -n	%{libname}-devel
Summary:	API in "C" for Shapefile handling
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).

%prep
%setup -q
%patch0 -p1 -b .gcc4
%patch1 -p1 -b .mdkconf

%build
%make CFLAGS="$RPM_OPT_FLAGS"
%ifarch sparc sparcv9 sparc64 ppc
%make CFLAGS="$RPM_OPT_FLAGS -DPROJ4 -D_BIG_ENDIAN -I.. -w" -C contrib
%else
%make CFLAGS="$RPM_OPT_FLAGS -DPROJ4 -D_LITTLE_ENDIAN -I.. -w" -C contrib
%endif
%make lib CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m755 dbfadd dbfcreate dbfdump shpadd shpcreate shpdump shptest %{buildroot}%{_bindir}
install -m755 contrib/{dbfcat,dbfinfo,shpcat,shpcentrd,shpdata,shpdxf,shpfix,shpinfo,shpwkb,shpproj} %{buildroot}%{_bindir}

make lib_install LIB=%{_lib} DESTDIR=$RPM_BUILD_ROOT

#(peroyvind) don't care about these for now..
rm -f %{buildroot}%{_libdir}/lib*.*a

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{name}
%defattr (-,root,root)
%doc README.tree dbf_api.html shapelib.html shp_api.html
%doc contrib/doc/shpproj.txt
%{_bindir}/*

%files -n %{libname}-devel
%defattr (-,root,root)
%{_includedir}/libshp/shapefil.h
%{_libdir}/*.so

%files -n %{libname}
%defattr (-,root,root)
%{_libdir}/*.so.*

%changelog
* Thu Jun 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.10-1mdk
- 1.2.10
- reintroduced this package with lots of fixes as it's required by roadmap (requested on the club)

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.8-3mdk
- rebuild

* Mon Jan 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.8-2mdk
- rebuild
- apply library policy

* Thu Nov 16 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.8-1mdk
- patch makefile to install in buildroot
- used srpm from Franck Martin <franck@sopac.org>
